#ifndef ARPSEND_H
#define ARPSEND_H

/* options, etc. */
extern char *prog;
extern int debug;
extern int suppress_warnings;
extern int quiet;
extern int count;
extern unsigned int pause_time;

extern u_char *interface_name; 
extern struct ether_addr ether_source_address;
extern struct ether_addr ether_dest_address;
extern struct ether_addr sender_hardware_address;
extern struct ether_addr target_hardware_address;
extern struct in_addr sender_protocol_address;
extern struct in_addr target_protocol_address;
extern u_short arp_opcode;

/* flags indicating the user specified the value */
extern int ether_source_address_set;
extern int ether_dest_address_set;
extern int sender_hardware_address_set;
extern int target_hardware_address_set;
extern int sender_protocol_address_set;
extern int target_protocol_address_set;
extern int arp_opcode_set;


extern int sockfd; /* general purpose datagram socket fd for temp use throughout */

/* for libnet */
extern struct libnet_link_int *nd; 

#define MAXLINE 80

/* return 1 if i is on the loopback network */
#define MY_IN_LOOPBACK(i)  (((i) & 0x7F000000U) == 0x7F000000U)


/* forward decls for functions */
void cleanup(void);
void usage(void);
void fillin_settings(void);
int is_dangerous_settings(void);
int send_arp_packet(void);
int send_packet_prompt(void);


/* If we are positive the prototypes are missing, we declare them.
   We don't really need to declare them (and in fact doing so is bad style),
   but as it's SO easy to mistakenly call these with the wrong type args, I want the extra
   measure of compiler checking provided by declaring these.
*/
#ifndef HAVE_ETHER_NTOA_PROTO
char *ether_ntoa(struct ether_addr *);
#endif
#ifndef HAVE_ETHER_ATON_PROTO
struct ether_addr *ether_aton(char *);
#endif


#endif /* not ARPSEND_H */
